<?php

require_once '../../vendor/autoload.php';
require_once '../../include/DatabaseConn.php';
require_once '../../include/Constants.php';

$db = new DatabaseConn();
$link = $db->connect();

$std = new stdClass();

$id = filter_input(INPUT_GET, "id", FILTER_VALIDATE_INT);

header("content-type: application/json");

if (is_null($id)) {
    $error = 'Token missing in request body';
    $std->error = $error;
    echo (json_encode($std));
    die();
} else {
    mysqli_query($link, "delete FROM news where `id` = $id");
    if (mysqli_affected_rows($link) == 1) {
        $std->msg = "";
        echo (json_encode($std));
        die();
    } else {
        $error = 'Already deleted';
        $std->error = $error;
        echo (json_encode($std));
        die();
    }
}

